
  <div [formGroup]="form">
    <mat-accordion>
      <mat-expansion-panel [expanded]="true" class="mb-3">
        <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
          <mat-panel-title><h6>Bill Activation Ready Details</h6></mat-panel-title>
        </mat-expansion-panel-header>
        <div>
          <h6>Device-Order: {{deviceFtn}}</h6>
        </div>

        <!-- Order Information -->
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Order Information</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Device-Order: </label>
                <div class="col-24 col-lg-12"><label>{{deviceFtn}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">CCD: </label>
                <div class="col-24 col-lg-12"><label>{{ccd | date:'MM/dd/yyyy'}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Site: </label>
                <div class="col-24 col-lg-12"><label>{{site}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">RAS Date: </label>
                <div class="col-24 col-lg-12"><label>{{rasDate | date:'MM/dd/yyyy'}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Equipment Only: </label>
                <div class="col-24 col-lg-12"><label>{{eqptOnlyCD}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Records Only: </label>
                <div class="col-24 col-lg-12"><label>{{recordsOnly}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Customer Name: </label>
                <div class="col-24 col-lg-12"><label>{{customerName}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">H6 Customer ID: </label>
                <div class="col-24 col-lg-12"><label>{{h6CustomerID}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Address1: </label>
                <div class="col-24 col-lg-12"><label>{{address1}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">SCA: </label>
                <div class="col-24 col-lg-12"><label>{{sca}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Address2: </label>
                <div class="col-24 col-lg-12"><label>{{address2}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">City: </label>
                <div class="col-24 col-lg-12"><label>{{city}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Address3: </label>
                <div class="col-24 col-lg-12"><label>{{address3}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">State: </label>
                <div class="col-24 col-lg-12"><label>{{state}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Building: </label>
                <div class="col-24 col-lg-12"><label>{{building}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Zip: </label>
                <div class="col-24 col-lg-12"><label>{{zip}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Floor: </label>
                <div class="col-24 col-lg-12"><label>{{floor}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Country: </label>
                <div class="col-24 col-lg-12"><label>{{country}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Room: </label>
                <div class="col-24 col-lg-12"><label>{{room}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Province: </label>
                <div class="col-24 col-lg-12"><label>{{province}}</label></div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <!-- Tech Assignment -->
        <mat-accordion *ngIf="displayTechAssignment">
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Tech Assignment</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Tech Assigned: </label>
                <div class="col-24 col-lg-12"><label>{{techName}}</label></div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Phone: </label>
                <div class="col-24 col-lg-12"><label>{{phone}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Email: </label>
                <div class="col-24 col-lg-12"><label>{{email}}</label></div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Dispatch Time: </label>
                <div class="col-24 col-lg-12">
                  <dx-date-box type="datetime"
                               [acceptCustomValue]="false"
                               displayFormat="MM/dd/yyyy hh:mm aa"
                               width="100%"
                               [useMaskBehavior]="true"
                               [value]="dispatchTime"
                               formControlName="dispatchTime">
                  </dx-date-box>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">In-Route Time: </label>
                <div class="col-24 col-lg-12">
                  <dx-date-box type="datetime"
                               [acceptCustomValue]="false"
                               displayFormat="MM/dd/yyyy hh:mm aa"
                               width="100%"
                               [useMaskBehavior]="true"
                               [value]="inRouteTime"
                               formControlName="inRouteTime">
                  </dx-date-box>
                </div>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">On Site Time: </label>
                <div class="col-24 col-lg-12">
                  <dx-date-box type="datetime"
                               [acceptCustomValue]="false"
                               displayFormat="MM/dd/yyyy hh:mm aa"
                               width="100%"
                               [useMaskBehavior]="true"
                               [value]="onSiteTime"
                               formControlName="onSiteTime">
                  </dx-date-box>
                </div>
              </div>
              <div class="form-group form-group-sm row col-24 col-lg-10">
                <label class="col-form-label col-24 col-lg-8">Completed Time: </label>
                <div class="col-24 col-lg-12">
                  <dx-date-box type="datetime"
                               [acceptCustomValue]="false"
                               displayFormat="MM/dd/yyyy hh:mm aa"
                               width="100%"
                               [useMaskBehavior]="true"
                               [value]="completedTime"
                               formControlName="completedTime">
                  </dx-date-box>
                </div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <!-- Select Items to Complete  -->
        <mat-accordion>
          <mat-expansion-panel [expanded]="true" class="mb-3">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Select Items to Complete</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <dx-data-grid class="mb-3" [dataSource]="cpeCmplLineItemsList" keyExpr="fsA_CPE_LINE_ITEM_ID"
                          [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
                          [showBorders]="true" [columnAutoWidth]="true"
                          (onSelectionChanged)="selectionChangedHandler($event)">
              <dxo-sorting mode="multiple"></dxo-sorting>
              <dxo-selection mode="multiple" showCheckBoxesMode="always" selectAllMode="page"></dxo-selection>
              <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
              <dxo-paging [pageSize]="50"></dxo-paging>
              <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
              <dxo-scrolling mode="standard" useNative="false"></dxo-scrolling>
              <dxo-editing mode="cell"
                           [allowUpdating]="true">
              </dxo-editing>
              <dxi-column dataField="ordR_QTY" caption="Qty" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="mfR_NME" caption="Manufacturer" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="manF_PART_CD" caption="Manf Part #" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="mdS_DES" caption="Description" dataType="string" [allowEditing]="false"></dxi-column>
              <dxi-column dataField="cmpL_DT" caption="Complete Date" dataType="date"></dxi-column>
            </dx-data-grid>
          </mat-expansion-panel>
        </mat-accordion>
      </mat-expansion-panel>
    </mat-accordion>
  </div>
